Subject: [bug#57643] [PATCH 1/3] image: Make the operating-system field mandatory.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 24 Sep 2022 15:02:58 +0200

Hey,

> The complexity of this 'without os' macro seems to come from accepting an 'os'
> and then throwing it away.  However, when there is an 'os', you might as well
> use 'image' directly, without 'image-without-os', so I think this macro can be
> simplified to:

Yeah this was mostly a good pretext to have fun with macros, I agree
your alternative makes more sense. I used your proposed approach instead.

> (IIUC, '(guix records)' will detect duplicate definitions of fields.)

It does.

Thanks,

Mathieu